# Loan payment object

A loan payment object represents a repayment made toward a loan. It is associated with one loan object and typically occurs after one or more loan disbursements have been made. Payments can be made by the borrower directly or through a loan servicer. [Read more](/lending).

### Object Parameters

- `account_number_id` `string` — The unique ID of the account to which the payment was made
- `amount` `integer` — Total payment amount in cents
- `bank_account_id` `string` — The bank account to which funds are paid back to
- `collection_account_number_id` `string` — ID of your collections account number
- `collection_bank_account_id` `string` — ID of your collections account
- `created_at` `date-time` — The timestamp the loan payment was created
- `currency` `string` — The currency of the loan. Currently only `USD` is supported.
- `description` `string` — The description of the loan payment in the Column dashboard
- `effective_at` `date-time` — The timestamp the loan payment was marked effective
- `id` `string` — The ID of the loan payment object
- `idempotency_key` `string` — The idempotency key specified in the loan payment. Returns an empty string `""` when not set.
- `ignore_retained_balances` `boolean` — Indicates whether the loan payment was applied to sold balances only. [Read more](/lending/payment).
- `interest_amount` `integer` — Total paid interest receivable
- `is_offline` `boolean` — Indicates whether the loan payment was made offline
- `loan_id` `string` — The ID of the loan object the loan payment is associated to
- `principal_amount` `integer` — Amount of the payment applied to the loan principal
- `retained_interest_amount` `integer` — Paid interest receivable owned by Column
- `retained_principal_amount` `integer` — Paid principal amount owned by Column
- `status` `string` — The current status of the loan payment. Possible values: `completed`, or `returned`

**Response 200**

```json
{
  "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
  "amount": "1000",
  "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
  "collection_account_number_id": "",
  "collection_bank_account_id": "",
  "created_at": "2025-08-03T16:05:12Z",
  "currency": "USD",
  "description": "first payment",
  "effective_at": "2025-08-03T16:05:12Z",
  "id": "lpmt_30mdxZgaXqKELJ5xRVKKj2x3Vrz",
  "idempotency_key": "",
  "ignore_retained_balances": false,
  "interest_amount": "200",
  "is_offline": false,
  "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
  "principal_amount": "800",
  "retained_interest_amount": "0",
  "retained_principal_amount": "0",
  "status": "completed"
}
```
